kernel_to_ipc64_perm
Prev | IPC utilities | Next

## Name

kernel_to_ipc64_perm — convert kernel ipc permissions to user

## Synopsis

`void kernel_to_ipc64_perm (` | struct kern_ipc_perm * | in,
| struct ipc64_perm * | out`)`;

## Arguments

`in`

  kernel permissions

`out`

  new style IPC permissions

## Description

Turn the kernel object `in` into a set of permissions descriptions for returning to userspace (`out`).

Prev | Up | Next
ipcperms | Home | ipc64_perm_to_ipc_perm